<?php
$yuidoc = theme_get_setting('yui_doc');
$yuitemplate = theme_get_setting('yui_template');
if (empty($sidebar)) {
$yuitemplate = '';
}
$yuicustomwidth = theme_get_setting('yui_custom_width');
/**
 * @file page.tpl.php
 *
 * Theme implementation to display a single Drupal page.
 *
 * Available variables:
 *
 * General utility variables:
 * - $base_path: The base URL path of the Drupal installation. At the very
 *   least, this will always default to /.
 * - $css: An array of CSS files for the current page.
 * - $directory: The directory the theme is located in, e.g. themes/garland or
 *   themes/garland/minelli.
 * - $is_front: TRUE if the current page is the front page. Used to toggle the mission statement.
 * - $logged_in: TRUE if the user is registered and signed in.
 * - $is_admin: TRUE if the user has permission to access administration pages.
 *
 * Page metadata:
 * - $language: (object) The language the site is being displayed in.
 *   $language->language contains its textual representation.
 *   $language->dir contains the language direction. It will either be 'ltr' or 'rtl'.
 * - $head_title: A modified version of the page title, for use in the TITLE tag.
 * - $head: Markup for the HEAD section (including meta tags, keyword tags, and
 *   so on).
 * - $styles: Style tags necessary to import all CSS files for the page.
 * - $scripts: Script tags necessary to load the JavaScript files and settings
 *   for the page.
 * - $body_classes: A set of CSS classes for the BODY tag. This contains flags
 *   indicating the current layout (multiple columns, single column), the current
 *   path, whether the user is logged in, and so on.
 *
 * Site identity:
 * - $front_page: The URL of the front page. Use this instead of $base_path,
 *   when linking to the front page. This includes the language domain or prefix.
 * - $logo: The path to the logo image, as defined in theme configuration.
 * - $site_name: The name of the site, empty when display has been disabled
 *   in theme settings.
 * - $site_slogan: The slogan of the site, empty when display has been disabled
 *   in theme settings.
 * - $mission: The text of the site mission, empty when display has been disabled
 *   in theme settings.
 *
 * Navigation:
 * - $search_box: HTML to display the search box, empty if search has been disabled.
 * - $primary_links (array): An array containing primary navigation links for the
 *   site, if they have been configured.
 * - $secondary_links (array): An array containing secondary navigation links for
 *   the site, if they have been configured.
 *
 * Page content:
 * 
 * - $breadcrumb: The breadcrumb trail for the current page.
 * - $title: The page title, for use in the actual HTML content.
 * - $help: Dynamic help text, mostly for admin pages.
 * - $messages: HTML for status and error messages. Should be displayed prominently.
 * - $tabs: Tabs linking to any sub-pages beneath the current page (e.g., the view
 *   and edit tabs when displaying a node).
 *
 * - $content: The main content of the current Drupal page.
 *
 * - $sidebar: The HTML for the sidebar.
 *
 * Footer/closing data:
 * - $feed_icons: A string of all feed icons for the current page.
 * - $footer_message: The footer message as defined in the admin settings.
 * - $footer : The footer region.
 * - $closure: Final closing markup from any modules that have altered the page.
 *   This variable should always be output last, after all other dynamic content.
 *
 * @see template_preprocess()
 * @see template_preprocess_page()
 */
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
<head>
	<title><?php print $head_title; ?></title>
	  <link rel="alternate" type="application/rss+xml" title="SeanBuscay.com: Professional Drupal web development, site management, and web applications. RSS" href="http://feeds.feedburner.com/seanbuscay" />
	  
	<?php print $head; ?>
  	<?php print $styles; ?>
  	<?php print $scripts; ?>
  	<script type="text/javascript"><?php /* Needed to avoid Flash of Unstyled Content in IE */ ?> </script>
	
	<?php if ($yuidoc == 'custom-doc') {
		$yuicustomwidthem = $yuicustomwidth/13;
		$yuicustomwidthie = $yuicustomwidth/13.3333;
	?>
	<style>
	#custom-doc {
		margin:auto;text-align:left; /* leave unchanged */
		width:<?php print $yuicustomwidthem; ?>em;/* non-IE */
		*width:<?php print $yuicustomwidthie; ?>em;/* IE */
		min-width:<?php print $yuicustomwidth; ?>px;/* optional but recommended */
	}
	</style>
	<?php } ?>

</head>
<body class="<?php print $body_classes; ?>">

<!-- the id on the containing div determines the page width. -->
<!-- #doc = 750px; #doc2 = 950px; #doc3 = 100%; #doc4 = 974px -->
<!-- Preset Templates-->
<!-- .yui-t1 = left 160px; .yui-t2 = left 180px; .yui-t3 = left 300px; -->
<!-- .yui-t4 = right 180px; .yui-t5 = right 240px; .yui-t6 = right 300px; -->

<div id="<?php print $yuidoc; ?>" class="<?php print $yuitemplate; ?> wrap"><!--containing div-->			
	<div id="hd">
		<!-- Special Nesting Grid B tells three children to split space evenly -->
		<div id="name-slogan">
	
				<?php if (!empty($logo)): ?>
          			<a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
            			<img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" id="logo-image"/>
          			</a>
        		<?php endif; ?><?php if (!empty($site_slogan)): ?>
            	<div id="site-slogan"><?php print $site_slogan; ?></div>
          		<?php endif; ?>
		
        
			
	   
		</div><!--/name-slogan-->
	
		<!-- Special Nesting Grid C has two children, the first is 2/3, the second is 1/3 -->
		<div id="nav-search-bar">
		
			<?php $m = 1;?>
			<!-- YUI Menu Start -->
	    <?php if (module_hook('yuimenu','menu') && ("tns" == variable_get('yuimenu_type','tns') || "tnm"==variable_get('yuimenu_type','tns')) ){?><?php $m = 0;?>
	    	<div id="yuimenu">
		      	<?php print html_menu(variable_get('yuimenu_root','1') ); ?>
	    	</div>
		<?php }?>
	    <!-- YUI Menu End-->
   				<?php
   				if ($m != 0) { //if no yahoo menu, print links?>
					<div id="navigation" class="menu <?php if (!empty($primary_links)) { print "withprimary"; } if (!empty($secondary_links)) { print " withsecondary"; } ?> ">
        		<?php if (!empty($primary_links)): ?>
          			<div id="primary" class="clear-block">
            			<?php print theme('links', $primary_links, array('class' => 'links primary-links')); ?>
          			</div>
        		<?php endif; ?>

        		<?php if (!empty($secondary_links)): ?>
          			<div id="secondary" class="clear-block">
            			<?php print theme('links', $secondary_links, array('class' => 'links secondary-links')); ?>
          			</div>
        		<?php endif; ?>
      				</div> <!-- /navigation -->

      			<?php }//end the if statement?>
				
				<?php if ($m != 0 && !empty($search_box)): ?>
        			<div id="search-box"><?php print $search_box; ?></div>
      			<?php endif; ?>

		
	
		</div><!--/nav-search-bar-->
    </div> <!-- /hd -->
	
	<div id="bd">
		<!-- Preset Templates control the width and alignment of the two blocks (div.yui-b). -->
		<!-- The wide column is wrapped in div#yui-main -->	
		<div id="yui-main">
			<div class="yui-b">
				<?php if (!empty($breadcrumb)): ?><div id='trail'><?php print $breadcrumb; ?><div id='breadtitle'> &raquo; <?php print $title; ?></div></div><?php endif; ?>
				<?php if (!empty($mission)): ?><div id="mission"><?php print $mission; ?></div><?php endif; ?>
				<?php if (!empty($contentTop)): print $contentTop; endif; ?>
        		<div id="content">
          			<?php if (!empty($title)): ?><h1 class="title" id="page-title"><?php print $title; ?></h1><?php endif; ?>
          			<?php if (!empty($tabs)): ?><div class="tabs"><?php print $tabs; ?></div><?php endif; ?>
          			<?php if (!empty($messages)): print $messages; endif; ?>
          			<?php if (!empty($help)): print $help; endif; ?>
          			<div id="content-content" class="clear-block">
            		<?php print $content; ?>
          			</div> <!-- /content-content -->
          			<?php print $feed_icons; ?>
        			</div> <!-- /content -->
			</div><!--/yui-b-->
		</div><!--/yui-main-->

		<?php if (!empty($sidebar)): ?>
			<div id="sidebar">
				<div class="yui-b">
					<?php print $sidebar; ?>
      			</div>
			</div><!--/#sidebar-->
		<?php endif; ?>
	
	</div><!--/#bd-->

	<div id="ft">
		<div id="footer-message"><?php print $footer_message; ?></div>
        <?php if (!empty($footer)): print '<div id="footer">'.$footer.'</div>'; endif; ?>
	</div><!--/#ft-->
	
	<?php print $closure; ?>
</div><!--/containing div-->

</body>
</html>