<?php
/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/
function phptemplate_settings($saved_settings) {
  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the template.php file.
   */
  $defaults = array(
    'yui_doc' => 'doc3',
    'yui_template' => 'yui-t2',
	'yui_custom_width' => 600,
  );

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  // Create the form widgets using Forms API
  $yui_doc_options = array('doc' => t('750px centered (good for 800x600)'), 
  							'doc2' => t('950px centered (good for 1024x768)'),
							'doc3' => t('100% fluid (good for everybody)'),
							'doc4' => t('974px fluid (good for 1024x768)'),
							'custom-doc' => t('custom width'),
							);
  
   $yui_template_options = array('yui-t1' => t('Two columns, narrow on left, 160px'), 
  							'yui-t2' => t('Two columns, narrow on left, 180px'),
							'yui-t3' => t('Two columns, narrow on left, 300px'),
							'yui-t4' => t('Two columns, narrow on right, 180px'),
							'yui-t5' => t('Two columns, narrow on right, 240px'),
							'yui-t6' => t('Two columns, narrow on right, 300px'),
							'' => t('One column, sidebar below content')
							);

  
  
  $form['yui_doc'] = array(
    '#type' => 'radios',
    '#title' => t('Choose the overall page width'),
    '#default_value' => $settings['yui_doc'],
	'#options' => $yui_doc_options,
  );
  
   $form['yui_custom_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Enter a number for your desired custom page width'),
    '#default_value' => $settings['yui_custom_width'],
	'#valid' => 'integer',
  );
  
  $form['yui_template'] = array(
    '#type' => 'radios', 
    '#title' => t('Choose the secondary column\'s width and orientation with one of six templates'),
    '#default_value' => $settings['yui_template'],
	'#options' => $yui_template_options, 
  );

  // Return the additional form widgets
  return $form;
}
?>